#include <windows.h>
#include <gl\gl.h>									// Header File For The OpenGL32 Library
#include <gl\glu.h>									// Glu32 header for quadrics
#include "fmod.h"
#include "Ball.h"

#define BRICK_DESTROYED		0						// Brick is not active
#define BRICK_ACTIVE		1						// Brick is active
#define BRICK_PERMANENT		2						// Brick cannot be destroyed

class Brick {
	public:
		float x, y;									// Top-left position of brick on screen
		float width, height;						// Brick dimensions
		float color[3];								// RGB color set
		int hits;									// Number of hits before brick is destroyed
		int status;									// Active/Destroyed? as defined
		GLuint texture;								// Texture ID of brick face
		FSOUND_SAMPLE *sound_ball_bounce;			// Sound of ball bouncing off brick
		bool Check_Brick_Ball_Collision(Ball *ball);// Returns true if brick was hit
		Brick();									// Constructor
		~Brick();									// Destructor
		Hit();										// Do this function when the brick is hit
		Draw();										// Draw to opengl screen
};
