#include <windows.h>
#include <math.h>									// For sin/cos functions
#include <gl\gl.h>									// Header File For The OpenGL32 Library
#include "fmod.h"									// Sound library
#include "Ball.h"
#include "Texture.h"

class Paddle {
   private:
	   TEXTURE texture;								// The texture on the paddle
   public:
	  FSOUND_SAMPLE *sound_ball_bounce;				// Sound effect of ball bouncing off paddle
	  float width, height;							// Paddle dimensions
      float x, y;									// Top-left position on screen
	  float oldx, oldy;								// Last x,y position
	  float speed;									// Movement speed
	  int lives;									// Number of paddles player has left
      Paddle();										// Constructor
	  ~Paddle();									// Destructor
	  LoadData();									// Load sound effects used by paddle
	  Check_Ball_Collision(Ball *ball);				// Does collisions with paddle, and take appropriate action on ball
	  Draw();										// Draw to opengl screen
};