#ifndef	H_TEXTURE
#define H_TEXTURE

#include <windows.h>
#include <stdio.h>
#include <gl/gl.h>

//------------------------------------------------------------------//
//- class TEXTURE --------------------------------------------------//
//------------------------------------------------------------------//
//- The main texture class, has loading support for truevision	   -//
//- targas (.tga), and the Microsoft Bitmap (.bmp) format.		   -//
//------------------------------------------------------------------//

class TEXTURE
{
	public:
		GLubyte* data;			//Image data (up to 32 bits)
		unsigned int bpp;		//Image color depth in bits per pixel
		unsigned int width;		//Image width
		unsigned int height;	//Image height
		GLuint ID;				//Texture ID used to select a texture

		bool LoadTGA(char* filename, GLfloat minFilter, GLfloat maxFilter);
		bool LoadBMP(char* filename, GLfloat minFilter, GLfloat maxFilter);

		TEXTURE()
		{ }

		~TEXTURE()
		{	
			if(data)
				delete[] data;	
		}
};

#endif